package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/5/26
 */
@ApiModel
public class UserBindingTeacher implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师id")
    private Long teacherId;

    @TableField("student_id_")
    @ApiModelProperty(value = "学生id")
    private Long studentId;

    @TableField("last_end_class_")
    @ApiModelProperty(value = "最近结课日期")
    private Date lastEndClass;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public Date getLastEndClass() {
        return lastEndClass;
    }

    public void setLastEndClass(Date lastEndClass) {
        this.lastEndClass = lastEndClass;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

